de.caff.util.debug

## Interface DebugConstants

- All Known Subinterfaces:
    CookedMessageDebugListener
  All Known Implementing Classes:
    Debug, DebugLevelSwitchBoard, DebugMessageCook, DebugMessageWindow, FilteringDebugMessageWindow, SimpleOutputtingDebugListener

      public interface DebugConstants

  This interface is defined as a collection of constants used for debugging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASSERT` assertions
    `static char` | `ASSERT_CHAR` assertions shortcut
    `static long` | `ASSERT_FLAG` assertions flag
    `static long` | `DEBUG_ALL_MASK` all messages mask
    `static int` | `ERROR` error messages
    `static char` | `ERROR_CHAR` error message shortcut
    `static long` | `ERROR_FLAG` error messages flag
    `static int` | `FATAL` fatal error messages
    `static char` | `FATAL_CHAR` fatal message shortcut
    `static long` | `FATAL_FLAG` fatal error messages flag
    `static int` | `LOG` logging messages
    `static char` | `LOG_CHAR` logging message shortcut
    `static long` | `LOG_FLAG` logging messages flag
    `static int` | `MESSAGE` normal messages
    `static char` | `MESSAGE_CHAR` standard message shortcut
    `static long` | `MESSAGE_FLAG` normal messages flag
    `static long` | `NO_DEBUG_MASK` no debugging mask
    `static int` | `NR_DEBUG_TYPES` All debug types.
    `static int` | `TRACE` trace messages
    `static char` | `TRACE_CHAR` trace message shortcut
    `static long` | `TRACE_FLAG` trace messages flag
    `static int` | `WARNING` warning messages
    `static char` | `WARNING_CHAR` warning message shortcut
    `static long` | `WARNING_FLAG` warning messages flag

- - ### Field Detail

    - #### NO_DEBUG_MASK

          static final long NO_DEBUG_MASK

      no debugging mask
      See Also:
        Constant Field Values

    - #### TRACE

          static final int TRACE

      trace messages
      See Also:
        Constant Field Values

    - #### TRACE_FLAG

          static final long TRACE_FLAG

      trace messages flag
      See Also:
        Constant Field Values

    - #### TRACE_CHAR

          static final char TRACE_CHAR

      trace message shortcut
      See Also:
        Constant Field Values

    - #### MESSAGE

          static final int MESSAGE

      normal messages
      See Also:
        Constant Field Values

    - #### MESSAGE_FLAG

          static final long MESSAGE_FLAG

      normal messages flag
      See Also:
        Constant Field Values

    - #### MESSAGE_CHAR

          static final char MESSAGE_CHAR

      standard message shortcut
      See Also:
        Constant Field Values

    - #### WARNING

          static final int WARNING

      warning messages
      See Also:
        Constant Field Values

    - #### WARNING_FLAG

          static final long WARNING_FLAG

      warning messages flag
      See Also:
        Constant Field Values

    - #### WARNING_CHAR

          static final char WARNING_CHAR

      warning message shortcut
      See Also:
        Constant Field Values

    - #### ERROR

          static final int ERROR

      error messages
      See Also:
        Constant Field Values

    - #### ERROR_FLAG

          static final long ERROR_FLAG

      error messages flag
      See Also:
        Constant Field Values

    - #### ERROR_CHAR

          static final char ERROR_CHAR

      error message shortcut
      See Also:
        Constant Field Values

    - #### FATAL

          static final int FATAL

      fatal error messages
      See Also:
        Constant Field Values

    - #### FATAL_FLAG

          static final long FATAL_FLAG

      fatal error messages flag
      See Also:
        Constant Field Values

    - #### FATAL_CHAR

          static final char FATAL_CHAR

      fatal message shortcut
      See Also:
        Constant Field Values

    - #### LOG

          static final int LOG

      logging messages
      See Also:
        Constant Field Values

    - #### LOG_FLAG

          static final long LOG_FLAG

      logging messages flag
      See Also:
        Constant Field Values

    - #### LOG_CHAR

          static final char LOG_CHAR

      logging message shortcut
      See Also:
        Constant Field Values

    - #### ASSERT

          static final int ASSERT

      assertions
      See Also:
        Constant Field Values

    - #### ASSERT_FLAG

          static final long ASSERT_FLAG

      assertions flag
      See Also:
        Constant Field Values

    - #### ASSERT_CHAR

          static final char ASSERT_CHAR

      assertions shortcut
      See Also:
        Constant Field Values

    - #### NR_DEBUG_TYPES

          static final int NR_DEBUG_TYPES

      All debug types.
      See Also:
        Constant Field Values

    - #### DEBUG_ALL_MASK

          static final long DEBUG_ALL_MASK

      all messages mask
      See Also:
        Constant Field Values